Bug 112708 - Problems printing to samba share on Win2K server
Problems printing to samba share on Win2K server
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: redhat-config-printer (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-29 09:05 EST by Carsten Stidsen
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 16:11:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Content of /var/log/cups/error_log (2.04 KB, text/plain)
2003-12-29 09:14 EST, Carsten Stidsen
no flags Details

  None (edit)
Description Carsten Stidsen 2003-12-29 09:05:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I have without success tried to print to a samba printer share on a
Win2K server from applications running under Fedora Core 1.

I have verified that the server share is up and running and
connectable from the Fedora client by two means:

# smbspool smb://UID:Password@HC50417/HPLJ1200 1 user title 1 ''
/etc/crontab

# cat test.txt | smbclient //HC50417/HPLJ1200 Password  -c "print -"

in both cases the output was as expected.



Version-Release number of selected component (if applicable):
rpm-0.6.79.2-1

How reproducible:
Always

Steps to Reproduce:
1. Set up Windows SMB printer in redhat-config-printer-gui or -tui as
shown above
2. Print test page or print from application
3.
    

Actual Results:  No printing from SAMBA host printer


Expected Results:  Printing from SAMBA host printer

Additional info:

Error in Printer configuration: "Unable to connect to SAMBA host, will
retry again in 60 seconds ... ERROR: Connection failed with error
NT_STATUS_UNSUCCESSFUL

Here is some addition info:

# grep ^DeviceURI /etc/cups/printers.confDeviceURI
smb://UID:Password@HC50417/HPLJ1200

# rpm -q redhat-config-printer
redhat-config-printer-0.6.79.2-1

# rpm -V redhat-config-printer
SM5....T c /etc/alchemist/namespace/printconf/local.adl

Similar, but not identical, problems have been reported previously in
bug# 80717 and 104136
Comment 1 Carsten Stidsen 2003-12-29 09:14:37 EST
Created attachment 96725 [details]
Content of /var/log/cups/error_log
Comment 2 Tim Waugh 2004-01-02 10:05:52 EST
This is definitely not the same as bug #80717, since printers.conf has
the correct DeviceURI line.  It also looks different to bug #104136,
since the smbspool command line succeeds.

Something is going wrong in between CUPS starting smbspool as the
backend, and smbspool parsing its URI.  Perhaps it is something to do
with weird characters like spaces or quotes in the username or password?
Comment 3 Carsten Stidsen 2004-01-13 17:15:34 EST
There is no weird characters in username or password, just plain 
letters and numbers, mixed upper and lower case. Perhaps password is 
converted to all-UC or all-LC by some component.
Comment 4 Tim Waugh 2004-01-22 05:13:57 EST
No, it isn't.

Can you try running smbspool directly, giving it the same URI as in
the printers.conf file?
Comment 5 Matthew Miller 2006-07-11 13:42:47 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 6 John Thacker 2006-10-25 16:11:46 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note You need to log in before you can comment on or make changes to this bug.